Subject: bug#45658: Infinite loop in run loop on macOS

From: Alan Third <[email-masked]>
Date: Sun, 10 Jan 2021 10:28:28 +0000

On Sun, Jan 10, 2021 at 12:46:23AM +0000, Jimmy Yuen Ho Wong wrote:
> The breakpoint at 4733 does get reached, there's no beach ball for
> this initially, just an unresponsive frame. I can't Cmd-TAB to it, I
> have to use the mouse to select it in Mission Control. The windows
> sometimes freeze, sometimes go blank then freeze. This bug can
> occasionally be produced by issuing `EDITOR=emacsclient git rebase -i
> HEAD~2` in the terminal, but not consistently.
> 
> I'm on Catalina, not on Homebrew, I just checked out the emacs repo
> and switched to the emacs 27 branch. I'm on the latest commit.

Out of interest, can you try using the master branch for a while and
see if the same thing happens there?
-- 
Alan Third